#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_GOLANG_INSTALL_EXTRA := \
	support/demo.crt \
	client/test/server.crt \
	client/testdata/chain-cert.crt \
	client/testdata/server.unknown-authority.crt \
	client/testdata/server.expired.crt \
	client/testdata/server.zero.depth.self.signed.crt \
	client/testdata/server.crt \
	client/testdata/server.ca.key.too.small.crt \
	client/testdata/client.crt \
	client/test/server.key \
	client/testdata/wrong.key \
	client/testdata/client-cert.key \
	installer/modules_test_helper.sh \
	system/testing/os_calls_helper.sh

override_dh_auto_install:
	dh_auto_install -- --no-source

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- \
		-ldflags "-X github.com/mendersoftware/mender/conf.Version=$(DEB_VERSION)"

override_dh_auto_test:
	dh_auto_test || true
